GXml.CssSelector – GXml-0.20 Reference Manual

# CssSelector

## Object Hierarchy:

## Description:

public class CssSelector : Object

generic CSS selector, used by GXml.CssSelectorParser

All known sub-classes:

- CssAttributeSelector

- CssElementSelector

- CssNotSelector

Namespace: GXml
Package: GXml-0.20

## Content:

### Properties:

- public CssCombiner combiner { get; set; }
- public string name { get; set construct; }
- public CssSelectorType selector_type { get; set construct; }
- public string value { get; set construct; }

### Creation methods:

- public CssSelector (CssSelectorType t = ELEMENT, string name = "")
- public CssSelector.with_value (CssSelectorType t = ELEMENT, string name, string value)

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref